using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class VelocityReader : MonoBehaviour
{
    private Vector3 oldPos;
    private Vector3 velocity;
    
    // Start is called before the first frame update
    void Start()
    {
        oldPos = transform.position;
    }

    // Update is called once per frame
    void Update()
    {
        /* Get the amount moved this frame */
        Vector3 diff = transform.position - oldPos;
        
        /* Update the old position */
        oldPos = transform.position;
        
        /* Calculate the new velocity */
        velocity = diff / Time.deltaTime;
    }

    /// <summary>
    /// Return the approximated velocity for this object from the last frame.
    /// Note that it will likely be "jittery".
    /// </summary>
    /// <returns>The velocity during the last frame.</returns>
    public Vector3 GetVelocity()
    {
        return velocity;
    }
}
