* [About Code Coverage](index)
  * [What's new](whats-new.md)
  * [Upgrade guide](upgrade-guide.md)
  * [Code Coverage package](index#code-coverage-package)
  * [Coverage HTML Report](index#coverage-html-report)
  * [Other Reports](index#other-reports)
  * [Coverage Summary Badges](index#coverage-summary-badges)
* [Quickstart](Quickstart)
  * [What is Code Coverage](Quickstart#1-what-is-code-coverage-sub2-minsub)
  * [Install the Code Coverage package](Quickstart#2-install-the-code-coverage-package-sub2-minsub)
  * [Install the Asteroids sample project](Quickstart#3-install-the-asteroids-sample-project-sub1-minsub)
  * [Enable Code Coverage](Quickstart#4-enable-code-coverage-sub1-minsub)
  * [Understanding the game code: Shoot() function](Quickstart.html#5-understanding-the-game-code-shoot-function-sub4-minsub)
  * [Generate a Coverage report from PlayMode tests](Quickstart#6-generate-a-coverage-report-from-playmode-tests-sub3-minsub)
  * [Add Weapon tests to improve coverage](Quickstart#7-add-weapon-tests-to-improve-coverage-sub3-minsub)
  * [Add a test for the LaserController](Quickstart#8-add-a-test-for-the-lasercontroller-sub4-minsub)
  * [Clear the coverage data](Quickstart#9-clear-the-coverage-data-sub1-minsub)
  * [Generate a Coverage report using Coverage Recording](Quickstart#10-generate-a-coverage-report-using-coverage-recording-sub4-minsub)
* [Installing Code Coverage](InstallingCodeCoverage)
  * [From the Unity Package Manager](InstallingCodeCoverage#from-the-unity-package-manager)
  * [Manually from the Package Manifest](InstallingCodeCoverage#manually-from-the-package-manifest)
* [Using Code Coverage](UsingCodeCoverage)
  * [Code Coverage window](CodeCoverageWindow)
  * [Using Code Coverage with Test Runner](CoverageTestRunner)
  * [On demand coverage recording](CoverageRecording)
  * [Using Code Coverage in batchmode](CoverageBatchmode)
  * [Using Code Coverage with Burst compiler](UsingCodeCoverage#using-code-coverage-with-burst-compiler)
  * [Using Code Coverage with Code Optimization](UsingCodeCoverage#using-code-coverage-with-code-optimization)
  * [Excluding code from Code Coverage](UsingCodeCoverage#excluding-code-from-code-coverage)
  * [Ignoring tests for Code Coverage](UsingCodeCoverage#ignoring-tests-for-code-coverage)
  * [Subscribing to Code Coverage session events](UsingCodeCoverage#subscribing-to-code-coverage-session-events)
* [How to interpret the results](HowToInterpretResults)
  * [Summary View](HowToInterpretResults#summary-view)
  * [Class/Struct View](HowToInterpretResults#classstruct-view)
* [Technical details](TechnicalDetails)
  * [How it works](TechnicalDetails#how-it-works)
  * [Requirements](TechnicalDetails#requirements)
  * [3rd party libraries used](TechnicalDetails#3rd-party-libraries-used)
  * [Known limitations](TechnicalDetails#known-limitations)
* [Document revision history](DocumentRevisionHistory)
  * [Archive](DocumentArchive)